---
updatedAt: 2025-09-22T17:23:28.000Z
agentTools:
  projectIndex: https://developer.bitpay.com/llms.txt
---

# Retrieve a Subscription

Facades: `merchant`

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "test",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test.bitpay.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/subscriptions/{subscriptionId}": {
      "get": {
        "summary": "Retrieve a Subscription",
        "description": "Facades: `merchant`",
        "operationId": "retrieve-a-subscription",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Must be set to `application/json` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "X-Accept-Version",
            "in": "header",
            "description": "Must be set to `2.0.0` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "2.0.0"
            }
          },
          {
            "name": "X-Identity",
            "in": "header",
            "description": "The hexadecimal public key generated from the client private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-Signature",
            "in": "header",
            "description": "The ECDSA signature of the full request URL concatenated with the request body, signed with your private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "token",
            "in": "query",
            "description": "When fetching subscriptions, pass a merchant facade token as a URL parameter.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "subscriptionId",
            "in": "path",
            "description": "The ID of the subscription you want to retrieve.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "200 \n\n{\n  \"facade\": \"merchant/subscription\",\n  \"data\": {\n    \"id\": \"6gqe8y5mkc5Qx2a9zmspgx\",\n    \"status\": \"draft\",\n    \"billData\": {\n      \"emailBill\": true,\n      \"cc\": [\n        \"jane@doe.com\"\n      ],\n      \"number\": \"subscription1234-ABCD\",\n      \"currency\": \"USD\",\n      \"name\": \"John Doe\",\n      \"address1\": \"2630 Hegal Place\",\n      \"address2\": \"Apt 42\",\n      \"city\": \"Alexandria\",\n      \"state\": \"VA\",\n      \"zip\": \"23242\",\n      \"country\": \"US\",\n      \"email\": \"john@doe.com\",\n      \"phone\": \"555-123-456\",\n      \"dueDate\": \"2021-05-31T00:00:00.000Z\",\n      \"passProcessingFee\": true,\n      \"items\": [\n        {\n          \"description\": \"Test Item 1\",\n          \"price\": 6,\n          \"quantity\": 1\n        },\n        {\n          \"description\": \"Test Item 2\",\n          \"price\": 4,\n          \"quantity\": 1\n        }\n      ],\n      \"merchant\": \"5461e13dfd8b0047590d644a\"\n    },\n    \"schedule\": \"0 0 0 * * 1\",\n    \"nextDelivery\": \"2021-05-24T00:00:00.000Z\",\n    \"createdDate\": \"2021-05-21T12:41:51.841Z\",\n    \"token\": \"85yxWk7aEgPdJME6zTkXkA9UAGL1BW3TnJ3oTFYSa936qGRT2xDy6t5m9CUDhTt8w6\"\n  }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```